## org.eclipse.m2m.atl.engine.vm
Class Operation

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.Operation

Direct Known Subclasses:
  ASMOperation, NativeOperation

    public abstract class Operation

extends ASMOclAny

Field Summary
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`Operation()`

Method Summary
`abstract ASMOclAny` `exec(StackFrame frame)`
`ASMOclAny` `get(StackFrame frame, java.lang.String name)`
`abstract java.lang.String` `getContextSignature()`
`abstract ASMOclType` `getContextType()`
`abstract java.lang.String` `getName()`
`abstract java.util.List` `getParameters()`
`abstract ASMOclType` `getReturnType()`
`abstract java.lang.String` `getSignature()`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

Constructor Detail

### Operation

    public Operation()

Method Detail

### getName

    public abstract java.lang.String getName()

### getContextSignature

    public abstract java.lang.String getContextSignature()

### getContextType

    public abstract ASMOclType getContextType()

### getParameters

    public abstract java.util.List getParameters()

### getReturnType

    public abstract ASMOclType getReturnType()

### getSignature

    public abstract java.lang.String getSignature()

### exec

    public abstract ASMOclAny exec(StackFrame frame)

### get

    public ASMOclAny get(StackFrame frame,
                         java.lang.String name)

  Overrides:
    `get` in class `ASMOclAny`

Copyright 2007 IBM Corporation and others. All Rights Reserved.